(Untitled)

Provider Tab

Use the Provider tab to select the appropriate OLE DB provider for the type of data you want to access. Not all applications allow you to specify a provider or modify the current selection; this tab is displayed only if your application allows the OLE DB provider selection to be edited. You can save a data link with the application itself or as a separate file. For more information about creating a data link, see "Creating a Data Link" in the MDAC SDK.

Option | Description
OLE DB Provider(s) | Lists all OLE DB providers detected on your computer. For more information about providers, see "Microsoft OLE DB Providers Overview" in the MDAC SDK.
Next | Opens the Connection tab for the selected OLE DB provider.

Note You can navigate directly to the Connection tab by double-clicking the desired provider. For more information about Data Links, see the Data Link API Reference.


Advanced Tab

Use the Advanced tab to view and set other initialization properties for your data.

The Advanced tab of the Data Link Properties dialog box is provider-specific and displays only the initialization properties required by the selected OLE DB provider. For more information about advanced initialization properties, see the documentation provided with each specific OLE DB provider.

The following table describes most initialization options.

Option | Description
Impersonation level The level of impersonation that the server is allowed to use when impersonating the client. This property applies only to network connections other than Remote Procedure Call (RPC) connections; these impersonation levels are similar to those provided by RPCs. The values of this property correspond directly to the levels of impersonation that can be specified for authenticated RPC connections, but can be applied to connections other than authenticated RPCs. Select from the following levels:
  • Anonymous—The client is anonymous to the server. The server process cannot obtain identification information about the client and cannot impersonate the client.

  • Delegate—The process can impersonate the client's security context while acting on behalf of the client. The server process can also make outgoing calls to other servers while acting on behalf of the client.

  • Identify—The server can obtain the client's identity. The server can impersonate the client for Access Control List (ACL) checking but cannot access system objects as the client.

  • Impersonate—The server process can impersonate the client's security context while acting on behalf of the client. This information is obtained when the connection is established, not on every call.
Protection level The level of data protection sent between client and server. This property applies only to network connections other than RPC connections; these protection levels are similar to those provided by RPCs. The values of this property correspond directly to the levels of protection that can be specified for authenticated RPC connections, but can be applied to connections other than authenticated RPCs. Select from the following levels:
  • Call—Authenticates the source of the data at the beginning of each request from the client to the server.

  • Connect—Authenticates only when the client establishes the connection with the server.

  • None—Performs no authentication of data sent to the server.

  • Pkt—Authenticates that all data received is from the client.

  • Pkt Integrity—Authenticates that all data received is from the client and that it has not been changed in transit.

  • Pkt Privacy—Authenticates that all data received is from the client, that it has not been changed in transit, and protects the privacy of the data by encrypting it.
Connect timeout | Specifies the amount of time (in seconds) that the OLE DB provider waits for initialization to complete. If initialization times out, an error is returned and the connection is not created.
Access permissions Select one or more of the following permissions:
  • Read—Read only.

  • ReadWrite—Read and write.

  • Share Deny None—Neither read nor write access can be denied to others.

  • Share Deny Read—Prevents others from opening in read mode.

  • Share Deny Write—Prevents others from opening in write mode.

  • Share Exclusive—Prevents others from opening in read/write mode.

  • Write—Write only.

Note For more Data Link initialization information, see the Data Link API Reference.


All Tab

Use the All tab to view and edit all OLE DB initialization properties available for your OLE DB provider. Properties can vary depending on the OLE DB provider you are using. For more information about the initialization properties, refer to the documentation provided with each specific OLE DB provider.

Option | Description
Initialization properties list | Lists all properties and their current values.
Edit Value | Opens the Edit Property Value dialog box for the selected property.

Note You can open the Edit Property Value dialog box by double-clicking the desired property. For more Data Link initialization information, see the Data Link API Reference.


Connection Tab

Use the Connection tab to specify how to connect to your data using an OLE DB provider.

The Connection tab of the Data Link Properties dialog box is provider-specific and displays only the connection properties required by the selected OLE DB provider. Connection properties allow you to specify where your data is located and how to connect to the data. For more information, refer to the documentation for each specific OLE DB provider.

The following table describes most connection options.

Option | Description
Data Source | Type the name of the data source you want to access—typically a server name.
Location | Type the location of the data source you want to access—typically a database name.
Use Windows NT Integrated security | Click to use an authentication service to identify yourself. To use this feature, your OLE DB provider must support an authentication service. The OLE DB Provider for SQL Server is an example. You also must have permissions in the data source to use the authentication service.
Use a specific user name and password | Click to use a supplied user name and password to authenticate your logon information to the data source.
User name | Type the User ID to use for authentication when you log on to the data source.
Password | Type the password to use for authentication when you log on to the data source.
Blank password | Enables the specified provider to return a blank password in the connection string.
Allow saving password | Allows the password to be saved with the connection string. Whether the password is included in the connection string depends on the functionality of the calling application. Note If saved, the password is returned and saved unmasked and unencrypted.
Enter the initial catalog to use | Type the catalog that you want to access upon connection.
Test Connection | Click to attempt a connection to the specified data source. If the connection fails, ensure that the settings are correct. For example, spelling errors and case sensitivity can cause failed connections.

Note For more Data Link connection information, see the Data Link API Reference.


Connection Tab for Jet

Use the Connection tab to specify how to connect to Microsoft Access data.

This Connection tab is provider-specific and displays only the connection properties required by the OLE DB Provider for Microsoft Jet.

Option | Description
Database name | Type the Microsoft Access database (.mdb) file name that you want to access. To browse for the file, click the button.
User name | Type the User ID to use for authentication when you log on to the data source.
Password | Type the password to use for authentication when you log on to the data source.
Blank password | Enables the specified provider to return a blank password in the connection string.
Allow saving password | Allows the password to be saved with the connection string. Whether the password is included in the connection string depends on the functionality of the calling application. Note If saved, the password is returned and saved unmasked and unencrypted.
Test Connection | Click to attempt a connection to the specified data source. If the connection fails, ensure that the settings are correct. For example, spelling errors and case sensitivity can cause failed connections.

Note For more Data Link connection information, see the Data Link API Reference.


Connection Tab for ODBC

Use the Connection tab to specify how to connect to ODBC data.

This Connection tab is provider-specific and displays only the connection properties that are required by the Microsoft OLE DB Provider for ODBC.

Option | Description
Use data source name | Select from the list, or type the ODBC data source name (DSN) you want to access. You can add more sources through the ODBC Data Source Administrator. Refresh the list by clicking Refresh.
Use connection string | Allows you to type or build an ODBC connection string instead of using an existing DSN.
Build Opens the Select Data Source dialog box. Once you select a data source, the connection string in that data source will appear in the Connection tab of the Data Link Properties dialog box.

If you select a File DSN, the resulting ODBC connection string is not based on a DSN. The ODBC connection string is persisted in the data link (.udl) file and does not rely on the selected file DSN.

If you select a Machine DSN, the resulting ODBC connection string is based on a DSN. The ODBC connection string references the selected machine DSN. If a user on a different system attempts to access the data link (.udl) file, the user must also have the machine DSN installed.
User name | Type the User ID to use for authentication when you log on to the data source.
Password | Type the password to use for authentication when you log on to the data source.
Blank password | Enables the specified provider to return a blank password in the connection string.
Allow saving password Allows the password to be saved with the connection string. Whether the password is included in the connection string depends on the functionality of the calling application.

Note If saved, the password is returned and saved unmasked and unencrypted.
Enter the initial catalog to use | Type in the name of the catalog (or database), or select from the drop-down list.
Test Connection | Click to attempt a connection to the specified data source. If the connection fails, ensure that the settings are correct. For example, spelling errors and case sensitivity can cause failed connections.

Note For more Data Link connection information, see the Data Link API Reference.


Connection Tab for Oracle

Use the Connection tab to specify how to connect to Oracle data.

This Connection tab is provider-specific and displays only the connection properties that are required by the Microsoft OLE DB Provider for Oracle.

Option | Description
Server name | Type the server where the database you want to access is located.
User name | Type the User ID to use for authentication when you log on to the data source.
Password | Type the password to use for authentication when you log on to the data source.
Blank password | Enables the specified provider to return a blank password in the connection string.
Allow saving password | Allows the password to be saved with the connection string. Whether the password is included in the connection string depends on the functionality of the calling application. Note If saved, the password is returned and saved unmasked and unencrypted.
Test Connection | Click to attempt a connection to the specified data source. If the connection fails, ensure that the settings are correct. For example, spelling errors and case sensitivity can cause failed connections.

Note For more Data Link connection information, see the Data Link API Reference.


Connection Tab for SQL Server

Use the Connection tab to specify how to connect to Microsoft SQL Server data.

This Connection tab is provider-specific and displays only the connection properties that are required by the OLE DB Provider for Microsoft SQL Server.

Option | Description
Server name | Select a server name from the drop-down list, or type the location of the server where the database you want to access is located. Selecting the database on the server is a separate action. Refresh the list by clicking Refresh.
Use Windows NT Integrated security | Click to specify that the provider request a secure (or trusted) connection to a SQL Server running on Microsoft Windows NT. When selected, SQL Server uses integrated login security to establish connections using this data source, regardless of the current login security mode at the server. Any login ID or password supplied is ignored. The SQL Server system administrator must have associated your Microsoft Windows network ID with a SQL Server login ID.
Use a specific user name and password | Click to use a supplied user name and password to authenticate your logon information to the data source.
User name | Type the User ID to use for authentication when you log on to the data source.
Password | Type the password to use for authentication when you log on to the data source.
Blank password | Enables the specified provider to return a blank password in the connection string.
Allow saving password Allows the password to be saved with the connection string. Whether the password is included in the connection string depends on the functionality of the calling application.

Note If saved, the password is returned and saved unmasked and unencrypted.
Select database Use one of these methods:
  • Type the database name that you want to access.

  • For SQL Server 7.0, attach an SQL database file as a database name. Type the database name to use for the attached SQL database file.

  • For SQL Server versions 6.5 and earlier, type the database file name to attach. Then type the name of the single-file database file. To browse for the file, click the button.
Test Connection | Click to attempt a connection to the specified data source. If the connection fails, ensure that the settings are correct. For example, spelling errors and case sensitivity can cause failed connections.

Note For more Data Link connection information, see the Data Link API Reference.


Data Link API Reference

More information about the Data Link API is available at msdn.microsoft.com. (Open the MSDN Library Online and then the Platform SDK to find the MDAC SDK, which contains the Data Link API Reference.)


Edit Property Value Dialog Box

Use the Edit Property Value dialog box to edit the OLE DB initialization property currently selected in the All tab. Properties can vary depending on the OLE DB provider.

Note For more information about provider-specific properties, see the documentation provided with each specific OLE DB provider.

Option | Description
Property Description | Displays the description of the selected property.
Property Value | Select a valid value.
Reset Value | Sets the selected property value to the OLE DB provider default value.